Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.util
Interface EventManager

All Known Implementing Classes:
  AbstractConcurrentEventManager, AbstractDataCache, AbstractQueryCache, BrokerFactoryEventManager, ConcurrentDataCache, ConcurrentQueryCache, JDBCEventConnectionDecorator, PartitionedDataCache, RemoteCommitEventManager, TransactionEventManager

    public interface EventManager

Basic event manager interface.

Author:
  Abe White

Method Summary
`void` | `addListener(Object listener)` Add an event listener.
`Exception[]` | `fireEvent(Object event)` Fire the given event to all listeners, returning any exceptions.
`Collection` | `getListeners()` Return a read-only list of listeners.
`boolean` | `hasListener(Object listener)` Return whether the given instance is in the list of listeners.
`boolean` | `hasListeners()` Return true if there are any registered listeners.
`boolean` | `removeListener(Object listener)` Remove an event listener.

Method Detail

### addListener

    void addListener(Object listener)

  Add an event listener.

### removeListener

    boolean removeListener(Object listener)

  Remove an event listener.

### hasListener

    boolean hasListener(Object listener)

  Return whether the given instance is in the list of listeners.

### hasListeners

    boolean hasListeners()

  Return true if there are any registered listeners.

### getListeners

    Collection getListeners()

  Return a read-only list of listeners.

### fireEvent

    Exception[] fireEvent(Object event)

  Fire the given event to all listeners, returning any exceptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.